unit ClassDef;

interface
uses graph,utility;
Type
    GraphArray    = Array[1..8] of Byte;
    ClassNameArr  = Array[1..8] of String[10];
const

     Rock                    = Brown;    {colors representing classes}
     Water                   = Blue;
     OldGrowth               = Green;
     ClearCut                = Green;
     Blockcolor              = White;
     ExteriorColor           = LightCyan;

     ClassArray : GraphArray = (Rock,Water,OldGrowth,OldGrowth,
                                          OldGrowth,ClearCut,0,0);
     ClassPattern : GraphArray = (SolidFill,SolidFill,SolidFill,7,
                                            3,WideDotFill,0,0);
     HercClassArray : GraphArray = (1,1,1,1,1,1,0,0);
     HercClassPattern : GraphArray = (SolidFill,XHatchFill,LineFill,7,3,
                                      WideDotFill,0,0);
     ClassNameArray : ClassNameArr =
      ('Rock','Water','75-100% OH','50-75% OH','25-50% OH','0-25% OH','','');
     ClassTitle : ClassNameArr =
             ('    Rock','   Water',' >75% OH','50-75%OH',
              '25-50%OH','0-25% OH','       *','       *');
implementation
Function RightJust(st : String):String;
         VAR
            l,Ct,Ctr   : Byte;
            TempSt     : String;
         begin
              l := Length(St);
              St[0] := #8;
              if l < 8 then begin
                 TempSt := St;
                 FillChar(St[1],8,' ');
                 Ctr := 0;
                 For Ct := (9-l) to 8 do begin
                     Inc(Ctr);
                     St[Ct] := TempSt[Ctr];
                 end;
              end;
              RightJust := St;
end;

Procedure GetClassInfo;
          VAR
             x               : Text;
             Ct,Err          : Word;
             CArr,CPatt      : GraphArray;
             CNArr           : ClassNameArr;
          begin
               Assign(x,'Class.def');
               Reset(x);
               if IOResult <> 0 then Exit;
               For Ct := 1 to 6 do
                   Readln(x,CArr[Ct],CPatt[Ct]);
               Err := IOResult;
               if Err = 0 then begin
                  For Ct := 1 to 6 do
                      Readln(x,CNArr[Ct]);
                  Err := IOResult;
               end;
               Close(x);
               if (IOResult <> 0) or (Err <> 0) then exit;
               ClassArray     := CArr;
               ClassPattern   := CPatt;
               ClassNameArray := CNArr;
               For Ct := 1 to 6 do begin
                   ClassTitle[Ct] := RightJust(CNarr[Ct]);
          end;
end;

begin
     GetClassInfo;
end.